GET
/
v1
/
teams
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.teamsListTeams({
  query: {
    "organizationId": process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  },
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "website": "<string>",
      "brandSettings": {
        "colors": {
          "primary": "<string>",
          "secondary": "<string>",
          "accent": "<string>",
          "background": "<string>",
          "text": "<string>"
        },
        "brandGuidelines": "<string>",
        "industry": "<string>",
        "targetAudience": "<string>"
      },
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "total": 123,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
cursor
string
limit
string
sortBy
string
sortOrder
enum<string>
Available options:
asc,
desc

Response

Success

data
object[]
required
total
number
required
nextCursor
string | null
required
prevCursor
string | null
required